Visa obesvarade inlägg | Visa aktiva trådar Aktuellt datum och tid: 27 feb 2021, 22:46



Svara på tråd  [ 2 inlägg ] 
 Lyckades att sabba apt - behöver hjälp :/ 
Författare Meddelande

Blev medlem: 05 okt 2007, 15:51
Inlägg: 147
Ort: Malmö
OS: Xubuntu
Utgåva: 18.04 Bionic Beaver LTS
Svara med citat
Inlägg Lyckades att sabba apt - behöver hjälp :/
Hej hej kära Ubuntu-expertis!
Jag försökte installera Python3 på min hemmaserver (18.04), vilket resulterade i att jag sabbade APT. Kom sen på att det är bättre att uppgradera till 20.04, men nu funkar inte "do-release-upgrade", kommandot hittas inte.
När jag letat runt så har jag hittat att jag borde köra det här kommandot:
Kod:
sudo apt-get install --fix-broken


Men då blir svaret:
Kod:
Bygger beroendeträd…
Läser tillståndsinformation…
Följande paket har installerats automatiskt och är inte längre nödvändiga:
  libevdev2 libglu1-mesa libinput-bin libinput10 libmtdev1
  libpython3.7-minimal libpython3.7-stdlib libwacom-bin libwacom-common
  libwacom2 libxatracker2 python3-debconf python3.7-minimal xinput
  xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-libinput
  xserver-xorg-input-synaptics xserver-xorg-input-wacom xserver-xorg-video-all
  xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev
  xserver-xorg-video-nouveau xserver-xorg-video-qxl xserver-xorg-video-radeon
  xserver-xorg-video-vesa xserver-xorg-video-vmware
Använd ”sudo apt autoremove” för att ta bort dem.
0 att uppgradera, 0 att nyinstallera, 0 att ta bort och 0 att inte uppgradera.
9 är inte helt installerade eller borttagna.
Behöver hämta 0 B/149 kB arkiv.
Efter denna åtgärd kommer ytterligare 0 B utrymme användas på disken.
dpkg: fel vid hantering av paketet python3-apt (--configure):
 Paketet är i ett väldigt dåligt inkonsistent läge; du bör
 ominstallera det innan du försöker konfigurera.
dpkg: beroendeproblem förhindrar konfigurering av landscape-common:
 landscape-common är beroende av python3-apt, men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet landscape-common (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av python3-commandnotfound:
 python3-commandnotfound är beroende av python3-apt, men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet python3-commandnotfound (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av language-selector-common:
 language-selector-common är beroende av python3-apt (>= 0.7.12.0), men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet language-selector-common (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av python3-update-manager:
 python3-update-manager är beroende av python3-apt (>= 0.8.5~), men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet python3-update-manager (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av python3-apport:
 python3-apport är beroende av python3-apt (>= 0.7.9), men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet python3-apport (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av python3-software-properties:
 python3-software-properties är beroende av python3-apt (>= 0.6.20ubuntu16), men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet python3-software-properties (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av python3-distupgrade:
 python3-distupgrade är beroende av python3-update-manager (>= 1:18.04.11.9~), men:
  Paketet python3-update-manager har inte konfigurerats ännu.
 python3-distupgrade är beroende av python3-apt (>= 0.8.5~), men:
  Paketet python3-apt har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet python3-distupgrade (--configure):
 beroendeproblem - lämnar okonfigurerad
dpkg: beroendeproblem förhindrar konfigurering av software-properties-common:
 software-properties-common är beroende av python3-software-properties (= 0.96.24.32.13), men:
  Paketet python3-software-properties har inte konfigurerats ännu.

dpkg: fel vid hantering av paketet software-properties-common (--configure):
 beroendeproblem - lämnar okonfigurerad
Fel uppstod vid hantering:
 python3-apt
 landscape-common
 python3-commandnotfound
 language-selector-common
 python3-update-manager
 python3-apport
 python3-software-properties
 python3-distupgrade
 software-properties-common



Kör jag då
Kod:
sudo apt-get install python3-apt --reinstall


så blir svaret:
Kod:
Läser paketlistor… Färdig
Bygger beroendeträd       
Läser tillståndsinformation… Färdig
Följande paket har installerats automatiskt och är inte längre nödvändiga:
  libevdev2 libglu1-mesa libinput-bin libinput10 libmtdev1 libpython3.7-minimal libpython3.7-stdlib libwacom-bin libwacom-common libwacom2 libxatracker2 python3-debconf python3.7-minimal xinput xserver-xorg-input-all xserver-xorg-input-evdev xserver-xorg-input-libinput
  xserver-xorg-input-synaptics xserver-xorg-input-wacom xserver-xorg-video-all xserver-xorg-video-amdgpu xserver-xorg-video-ati xserver-xorg-video-fbdev xserver-xorg-video-nouveau xserver-xorg-video-qxl xserver-xorg-video-radeon xserver-xorg-video-vesa
  xserver-xorg-video-vmware
Använd ”sudo apt autoremove” för att ta bort dem.
0 att uppgradera, 0 att nyinstallera, 1 att installera om, 0 att ta bort och 0 att inte uppgradera.
9 är inte helt installerade eller borttagna.
Behöver hämta 0 B/149 kB arkiv.
Efter denna åtgärd kommer ytterligare 0 B utrymme användas på disken.
(Läser databasen ... 159857 filer och kataloger installerade.)
Förbereder att packa upp .../python3-apt_1.6.5ubuntu0.3_amd64.deb ...
/var/lib/dpkg/info/python3-apt.prerm: 6: /var/lib/dpkg/info/python3-apt.prerm: py3clean: not found
dpkg: varning: old python3-apt package pre-removal script subprocess returned error exit status 127
dpkg: försöker skript från det nya paketet istället ...
/var/lib/dpkg/tmp.ci/prerm: 6: /var/lib/dpkg/tmp.ci/prerm: py3clean: not found
dpkg: fel vid hantering av arkivet /var/cache/apt/archives/python3-apt_1.6.5ubuntu0.3_amd64.deb (--unpack):
 new python3-apt package pre-removal script subprocess returned error exit status 127
/var/lib/dpkg/info/python3-apt.postinst: 6: /var/lib/dpkg/info/python3-apt.postinst: py3compile: not found
dpkg: fel vid städning:
 installed python3-apt package post-installation script subprocess returned error exit status 127
Fel uppstod vid hantering:
 /var/cache/apt/archives/python3-apt_1.6.5ubuntu0.3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Någon som vet hur jag kan lösa det här?


17 jul 2020, 13:40
Profil
Användarvisningsbild

Blev medlem: 08 aug 2010, 12:49
Inlägg: 2800
Ort: Göteborg
OS: Ubuntu
Utgåva: 20.10 Groovy Gorilla
Svara med citat
Inlägg Re: Lyckades att sabba apt - behöver hjälp :/
Hej!

Det är väl så att python3, närmare bestämt python 3.6, finns på 18.04-servern från början? Med tanke på det vore det bra om du förklarade närmare vad det var du gjorde och hur du gjorde det.


17 jul 2020, 17:29
Profil
Visa inlägg nyare än:  Sortera efter  
Svara på tråd   [ 2 inlägg ] 

Vilka är online

Användare som besöker denna kategori: Inga registrerade användare och 9 gäster


Du kan inte skapa nya trådar i denna kategori
Du kan inte svara på trådar i denna kategori
Du kan inte redigera dina inlägg i denna kategori
Du kan inte ta bort dina inlägg i denna kategori
Du kan inte bifoga filer i denna kategori

Sök efter:
Hoppa till:  
Main Engineer for phpBB3: Bertie at phpBB.com © 2000 - 2002, 2005 - 2007, the Group behind the Open Source code of phpBB.
Designed by STSoftware, modified by Katt, Konservburk & Peetra. Swedish translation by Peetra & phpBB Sweden © 2006-2011